std::chrono::treat_as_floating_point< _Rep >(3)

NAME
std::chrono::treat_as_floating_point< _Rep >

SYNOPSIS

#include <chrono>

Inherits std::is_floating_point< _Rep >.

Detailed Description

  template<typename _Rep>
struct std::chrono::treat_as_floating_point< _Rep >"Trait indicating whether to treat a type as a floating-point type.

The chrono library uses this trait to tell whether a duration can represent fractional values of the given precision, or only integral values.

You should specialize this trait for your own numeric types that are used with duration and can represent non-integral values.

Since
    C++11

Author

Generated automatically by Doxygen for libstdc++ from the source code.